Subject: [kitten] Fwd: [Editorial Errata Reported] RFC4752 (4863)

From: Lars Francke <[email-masked]>
Date: Mon, 16 Jan 2017 21:22:44 +0100

Hi,

I submitted a RFC Errata (see below) for RFC 4752 in November 2016. Stephen
Farrell asked me to forward the request to this mailing list for comments
and (dis-)approval.

It looks like a relatively simple typo. I'm looking forward to comments.

Cheers,
Lars

---------- Forwarded message ----------
From: RFC Errata System <[email-masked]>
Date: Sun, Nov 13, 2016 at 10:39 PM
Subject: [Editorial Errata Reported] RFC4752 (4863)

The following errata report has been submitted for RFC4752,
"The Kerberos V5 ("GSSAPI") Simple Authentication and Security Layer (SASL)
Mechanism".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4752&eid=4863

--------------------------------------
Type: Editorial
Reported by: Lars Francke <[email-masked]>

Section: 3.1 - 3.3

Original Text
-------------
conf_flag

Corrected Text
--------------
conf_req_flag

Notes
-----
The three sections 3.1, 3.2 and 3.3 refer to a flag "conf_flag" which does
not exist in the GSS_Wrap call as specified in RFC 2743 (
https://tools.ietf.org/html/rfc2743#page-65). The correct name is
"conf_req_flag".

I also looked in the previous version of RFC 2743 -> RFC 2078 but the same
applies there.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party
can log in to change the status and edit the report, if necessary.

--------------------------------------
RFC4752 (draft-ietf-sasl-gssapi-08)
--------------------------------------
Title               : The Kerberos V5 ("GSSAPI") Simple Authentication and
Security Layer (SASL) Mechanism
Publication Date    : November 2006
Author(s)           : A. Melnikov, Ed.
Category            : PROPOSED STANDARD
Source              : Simple Authentication and Security Layer
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 18 Jan 2017 18:28:57 -0600

Yes, it looks like a typo and simple fix; sorry for the slowness in responding.

Stephen, kindly mark as verified at your convenience.

Thanks,

Ben

> _______________________________________________
> Kitten mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/kitten

---

From: Lars Francke <[email-masked]>
Date: Fri, 20 Jan 2017 21:14:22 +0100

Thanks for taking a look Ben and Stephen for verifying.